# NAME

Trf_MDFinal - Interface to procedures for generation of the final digest from a MD state.

# SYNOPSIS

    #include <transform.h>

    void Trf_MDFinal
    (
    	void *context,
    	void *digest
    );

# PARAMETERS

void *context
  State to finalize.
void *digest
  Result area to fill.

# DESCRIPTION

A procedure of this type is called after processing the final character. It is its responsibility to finalize the internal state of the MD algorithm and to generate the resulting digest from this.

# SEE ALSO

Trf_Init , Trf_SafeInit , Trf_IsInitialized , Trf_CreateOptions , Trf_DeleteOptions , Trf_CheckOptions , Trf_SetOption , Trf_SetObjOption , Trf_QueryOptions , Trf_SeekQueryOptions , Trf_WriteProc , Trf_CreateCtrlBlock , Trf_DeleteCtrlBlock , Trf_TransformCharacter , Trf_TransformBuffer , Trf_FlushTransformation , Trf_ClearCtrlBlock , Trf_QueryMaxRead , Trf_Register , Trf_ConverterOptions , Trf_MDStart , Trf_MDUpdate , Trf_MDUpdateBuf , Trf_MDCheck , Trf_RegisterMessageDigest , Trf_LoadLibrary , Trf_XorBuffer , Trf_ShiftRegister , Trf_FlipRegisterShort , Trf_FlipRegisterLong , Trf_InitStubs